#include "expenseslistmaemo.h"
#include <QVBoxLayout>
#include <QDialogButtonBox>
#include <QDebug>
#include <QTreeView>
#include <QPushButton>
#include <QLabel>
#include <QIcon>
#include "global.h"

ExpensesListMaemo::ExpensesListMaemo(QStandardItemModel *expenses,
                                     QWidget *parent)
        : ExpensesList (parent)
{
        setWindowTitle(tr("Expenses"));
        setAttribute(Qt::WA_Maemo5StackedWindow);
        setAttribute(Qt::WA_DeleteOnClose);
        setWindowFlags(windowFlags() | Qt::Window);

        QVBoxLayout *layout = new QVBoxLayout (this);

        QPushButton *newButton = new QPushButton(tr("New"));
        newButton->setIcon(QIcon(GENERAL_ADD_ICON));
        layout->addWidget(newButton, 0);
        connect(newButton, SIGNAL(clicked()), this, SIGNAL(newExpenseSelected()));

        QTreeView *tree = new QTreeView();
        tree->setModel(expenses);
        tree->setProperty("FingerScrollable", true);
        tree->setColumnHidden(0, true);
        tree->setColumnWidth(1, 50);
        tree->setColumnWidth(2, 100);
        tree->setColumnWidth(3, 200);
        tree->setHeaderHidden(true);
        layout->addWidget(tree, 1);

        connect (tree, SIGNAL(activated(const QModelIndex&)),
                 this, SIGNAL(expenseDetailsSelected(QModelIndex)));
}

ExpensesListMaemo::~ExpensesListMaemo()
{
}
